Skip to content

Get client by ID

Request

Retrieve a specific client by its unique identifier

This endpoint provides detailed client information including:

  • Complete client details and demographics
  • Client status and relationship information
  • Contact and address information
  • Engagement and project portfolio
  • Financial and billing information
  • Industry and business classification

Client Management Features:

  • Client lifecycle tracking
  • Relationship management
  • Contact and address management
  • Engagement portfolio oversight
  • Financial and billing setup

Client Details Include:

  • Client name and demographics
  • Client status and type
  • Contact information
  • Address and location
  • Engagement portfolio
  • Financial information

Business Applications:

  • Client relationship management
  • Engagement portfolio analysis
  • Financial performance tracking
  • Contact management
  • Business development planning

Real Example:

curl --location 'https://{{host}}/v1/client/789' \
--header 'Authorization: bearer {{token}}' \
--header 'Content-Type: application/json'

Response Example:

{
  "id": 789,
  "name": "Acme Corporation",
  "legalName": "Acme Corporation, Inc.",
  "status": "ACTIVE",
  "type": "CORPORATE",
  "industry": "MANUFACTURING",
  "size": "LARGE",
  "website": "https://www.acme.com",
  "taxId": "12-3456789",
  "phone": "+1-555-0123",
  "email": "info@acme.com",
  "address": {
    "street": "123 Business Ave",
    "city": "New York",
    "state": "NY",
    "zipCode": "10001",
    "country": "USA"
  },
  "billingAddress": {
    "street": "456 Finance Blvd",
    "city": "New York",
    "state": "NY",
    "zipCode": "10002",
    "country": "USA"
  },
  "primaryContact": {
    "id": 23456,
    "name": "John Smith",
    "title": "Chief Financial Officer",
    "email": "john.smith@acme.com",
    "phone": "+1-555-0123"
  },
  "engagements": [
    {
      "id": 34567,
      "name": "Annual Audit Engagement 2024",
      "status": "ACTIVE",
      "type": "AUDIT",
      "startDate": "2024-01-01T00:00:00Z",
      "endDate": "2024-12-31T23:59:59Z"
    }
  ],
  "financialSummary": {
    "totalRevenue": 150000.00,
    "outstandingBalance": 25000.00,
    "currency": "USD",
    "lastPaymentDate": "2024-11-15T10:30:00Z"
  },
  "notes": "Long-term client with excellent payment history and strong relationship",
  "createdAt": "2020-01-15T10:00:00Z",
  "updatedAt": "2024-11-20T14:30:00Z"
}
Security
BearerAuth
Path
idinteger, >= 1required

Unique identifier of the client

Example:789
curl -i -X GET \
  https://api.doc.aiwyn.ai/_mock/bundle/gql/v1/client/789 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Client details retrieved successfully

Bodyapplication/json
idinteger

Unique client identifier

Example:789
namestring

Client name

Example:"Acme Corporation"
legalNamestring

Legal business name

Example:"Acme Corporation, Inc."
statusstring

Client status

Enum:"ACTIVE""INACTIVE""PROSPECT""FORMER"
Example:"ACTIVE"
typestring

Client type

Enum:"CORPORATE""INDIVIDUAL""PARTNERSHIP""LLC""NONPROFIT"
Example:"CORPORATE"
industrystring

Industry classification

Enum:"MANUFACTURING""RETAIL""HEALTHCARE""FINANCIAL""TECHNOLOGY""CONSULTING""OTHER"
Example:"MANUFACTURING"
sizestring

Company size classification

Enum:"SMALL""MEDIUM""LARGE""ENTERPRISE"
Example:"LARGE"
websitestring, (uri)

Company website URL

Example:"https://www.acme.com"
taxIdstring

Tax identification number

Example:"12-3456789"
phonestring

Primary phone number

Example:"+1-555-0123"
emailstring, (email)

Primary email address

Example:"info@acme.com"
addressobject

Primary business address

billingAddressobject

Billing address (if different from primary)

primaryContactobject

Primary contact information

engagementsArray of objects

Active engagements for this client

financialSummaryobject

Financial summary for this client

notesstring

Additional notes about the client

Example:"Long-term client with excellent payment history and strong relationship"
createdAtstring, (date-time)

Client creation timestamp

Example:"2020-01-15T10:00:00Z"
updatedAtstring, (date-time)

Last update timestamp

Example:"2024-11-20T14:30:00Z"
Response
{ "id": 789, "name": "Acme Corporation", "legalName": "Acme Corporation, Inc.", "status": "ACTIVE", "type": "CORPORATE", "industry": "MANUFACTURING", "size": "LARGE", "website": "https://www.acme.com", "taxId": "12-3456789", "phone": "+1-555-0123", "email": "info@acme.com", "address": { "street": "123 Business Ave", "city": "New York", "state": "NY", "zipCode": "10001", "country": "USA" }, "billingAddress": { "street": "456 Finance Blvd", "city": "New York", "state": "NY", "zipCode": "10002", "country": "USA" }, "primaryContact": { "id": 23456, "name": "John Smith", "title": "Chief Financial Officer", "email": "john.smith@acme.com", "phone": "+1-555-0123" }, "engagements": [ {} ], "financialSummary": { "totalRevenue": 150000, "outstandingBalance": 25000, "currency": "USD", "lastPaymentDate": "2024-11-15T10:30:00Z" }, "notes": "Long-term client with excellent payment history and strong relationship", "createdAt": "2020-01-15T10:00:00Z", "updatedAt": "2024-11-20T14:30:00Z" }